
<div class="card-panel floating-panel">
    <div class="row">
        <div *ngIf="message"
             [class.green]="success"
             [class.red]="!success"
             class="card-panel">
            <p style="color: white;">{{ message }}</p>
        </div>
    </div>

    <div class="row">
        <form [formGroup]="form">
            <div class="card-panel">
                <div class="row">
                    Personal
                </div>
                <div class="row">
                    <div class="col l4 input-field">
                        <label for="first_name">Nombre</label>
                        <input id="first_name"
                               type="text"
                               formControlName="first_name">
                    </div>
                    <div class="col l4 input-field">
                        <label for="last_name">Apellidos</label>
                        <input id="last_name"
                               type="text"
                               formControlName="last_name">
                    </div>
                    <div class="col l4 input-field">
                        <label for="username" required>Usuario</label>
                        <input id="username"
                               type="text"
                               formControlName="username"
                               [class.invalid]="!form.controls['username'].valid && form.controls['username'].touched">
                    </div>
                </div>
                <div class="row">
                    <div class="col l4 input-field">
                        <label for="email" required>Correo electrónico</label>
                        <input id="email"
                               type="email"
                               formControlName="email"
                               [class.invalid]="!form.controls['email'].valid && form.controls['email'].touched">
                    </div>
                    <div class="col l4 input-field">
                        <label for="birth_date">Fecha de nacimiento</label>
                        <input id="birth_date"
                               type="date"
                               class="datepicker"
                               formControlName="birth_date">
                    </div>
                    <div class="col l4 input-field">
                        <label for="postal_code">Código postal</label>
                        <input id="postal_code"
                               type="text"
                               formControlName="postal_code">
                    </div>
                </div>
                <div class="row">
                    Finanzas
                </div>
                <div class="row">
                    <div class="col l4 input-field">
                        <label for="monthly_income">Ingreso mensual</label>
                        <input id="monthly_income"
                               type="number"
                               min="0"
                               formControlName="monthly_income">
                    </div>
                    <div class="col l4 input-field">
                        <label for="financial_dependents">Número de dependientes</label>
                        <input id="financial_dependents"
                               type="number"
                               min="0"
                               step="1"
                               formControlName="financial_dependents">
                    </div>
                    <div class="col l4 input-field">
                        <label for="expected_savings">Ahorro mensual esperado</label>
                        <input id="expected_savings"
                               type="number"
                               min="0"
                               formControlName="expected_monthly_savings">
                    </div>
                </div>
                <div class="row">
                    <div class="right-align">
                        <button class="waves-effect waves-light btn"
                                (click)="updateProfile(form)"
                                [disabled]="!form.valid">
                            Guardar
                        </button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
